com.holonplatform.auth.jwt

## Class JwtConfiguration.InvalidJwtConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.auth.jwt.JwtConfiguration.InvalidJwtConfigurationException

- All Implemented Interfaces:
    Serializable
  Enclosing interface:
    JwtConfiguration

      public static class JwtConfiguration.InvalidJwtConfigurationException
      extends RuntimeException

  Exception for `JwtConfiguration` errors.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidJwtConfigurationException(String message)` Constructor with error message
    `InvalidJwtConfigurationException(String message, Throwable cause)` Constructor with error message and nested exception
    `InvalidJwtConfigurationException(Throwable cause)` Constructor with nested exception

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidJwtConfigurationException

          public InvalidJwtConfigurationException(String message)

      Constructor with error message
      Parameters:
        `message` - Error message

    - #### InvalidJwtConfigurationException

          public InvalidJwtConfigurationException(Throwable cause)

      Constructor with nested exception
      Parameters:
        `cause` - Nested exception

    - #### InvalidJwtConfigurationException

          public InvalidJwtConfigurationException(String message,
                                                  Throwable cause)

      Constructor with error message and nested exception
      Parameters:
        `message` - Error message
        `cause` - Nested exception

Copyright © 2019 The Holon Platform. All rights reserved.